Questions tagged [apt]

APT is a package manager used on Raspbian and includes commands such as 'apt-get'.

Filter by
Sorted by
Tagged with
2
votes
2answers
11k views

Raspberry Pi sudo apt-get update not working

I am getting the following message whenever I try to run: sudo apt-get update : pi@raspberrypi:~ $ sudo apt-get update Get:1 http://archive.raspberrypi.org/debian stretch InRelease [8,084 B] Err:1 ...
20
votes
7answers
96k views

Cannot connect to mirrordirector.raspbian.org

I can't connect to mirrordirector.raspbian.org in Raspbian, but I don't know why. I've already re-installed Raspbian, but it looks like this is not the problem. How can I resolve this? After I ...
5
votes
4answers
8k views

Raspberry Pi 3 Ubuntu 16.04 Server upgrade error

So last week I bought the Raspberry Pi 3 model B with the complete Canakit. I installed Ubuntu 16.04 server standard image on the micro sd card with my Windows computer. I used SF Formatter to ...
2
votes
2answers
6k views

Error on sudo apt-get update

I'm getting the below error when updating raspian. I connect via SSH via putty on the fixed wlan0 ip. Now when i run sudo apt-get update i get errors like below. Err http://raspberrypi.collabora.com ...
113
votes
3answers
78k views

What is rpikernelhack?

When doing an apt-get upgrade on my RPi 3, many lines of output show up like this: Adding 'diversion of /boot/bcm2708-rpi-b-plus.dtb to /usr/share/rpikernelhack/bcm2708-rpi-b-plus.dtb by ...
12
votes
2answers
21k views

How can I install PHP 5.6 (instead of 5.4)?

I'm actually stuck with a little problem. I want to use Laravel on my pi but it requires at least PHP 5.5.9. But actually, the latest version of PHP that I am able to install (via the official ...
22
votes
6answers
94k views

apt-get installation doesn't work on Raspberry Pi

I tried to install python-pip by typing this command: sudo apt-get install python-pip And the result is below: Err http://mirrordirector.raspbian.org/raspbian/ wheezy/main python2.6-minimal armhf 2....
1
vote
1answer
38 views

Bluetooth adapter can't be found after the latest upgrade of Raspbian

After the latest upgrade of Raspbian buster everything seems to be falling down. Softwares are crashing. And bluetooth adapter is missing. Also the bluetooth menu is missing. How can I fix this ...
0
votes
2answers
14k views

Upgrade or install using apt-get results in dpkg error

Raspbian Stretch OS I tried sudo apt-get update and then upgrade There is no issue with update but upgrade or while installing any package for instance sudo apt-get install tightvncserver gives the ...
4
votes
1answer
10k views

Install Raspbian packages directly from Ubuntu with chroot to Raspbian file system (on SD card)

I'm connecting to internet with my pc using Ethernet cable, I just have one internet cable input and one RJ45 cable, so I cant share internet with my Raspberry. is there any solution to install ...
9
votes
1answer
34k views

How to add ppa entries manually on Raspberry Pi

I would like to know how I can add a "ppa" entry manually on the Raspberry Pi for the "apt" program. Where should I add my "ppa" entry (in which file) ? For example, I want to add the following ppa ...
12
votes
2answers
18k views

How to use Stretch/testing packages?

I want to install the last version of Deluge on my Raspbian. The current distribution, Jessie (stable), contains the 1.3.10 version but I want the last one 1.3.13. The next distribution, Stretch (...
7
votes
6answers
36k views

What means “Segmentation fault” error using apt?

I'm getting an error every time I try to run commands on my RPi: pi@rpi ~ $ apt-get install wkhtmltopdf Segmentation fault Even when I try running other commands: pi@rpi ~ $ uptime -bash: /usr/bin/...
13
votes
2answers
34k views

Raspberry Pi apt-get update/upgrade on Raspbian hangs?

Whenever I try to update my pi using sudo apt-get update && sudo apt-get upgrade it will often hang at some point during the installation. It's been different ones each time, but the last was ...
13
votes
3answers
43k views

Installing Python 3.4 on Raspberry Pi

Is it possible to run python 3.4 on a Raspberry Pi? Currently I have python 3.2, but the odd thing is that running sudo apt-get update sudo apt-get install python3 results in my Raspberry Pi ...
6
votes
2answers
4k views

How does apt-get work?

Normally, when I want to download something on my pi (for instance this vnc app, I use apt-get <insert app>? But, sometimes an app is not in the apt-get area (not sure what proper name is) and ...
4
votes
2answers
19k views

Why can't I remove Apache?

I installed a LAMP stack with the following commands: $sudo apt-get install apache2 php5 libapache2-mod-php5 $sudo service apache2 restart $sudo apt-get install mysql-server mysql-client php5-mysql ...
8
votes
1answer
5k views

How do I install lighttpd (lighty) on Debian “squeeze”?

How do I install lighttpd on my Raspberry Pi? I tried running sudo apt-get install lighttpd, which works fine on a regular Debian 'squeeze' installation, but on a Raspberry Pi I get the following ...
4
votes
4answers
15k views

how to install libtbb-dev in raspberry-pi

I am trying to install libtbb-dev on my raspberry-pi as part of installing opencv. sudo apt-get install libtbb-dev But i am getting an error as Package libtbb-dev is not available,but is refered ...
3
votes
5answers
6k views

sudo apt-get not working

I was trying to install re2c but terminal replies the following: sudo apt-get install re2c Reading package lists... Done Building dependency tree Reading state information... Done The ...
3
votes
1answer
947 views

Cannot install xpra: unmet dependancies

I'm trying to install Xpra, however it seems that there are missing packages I cannot install. Xpra fails with the following error: Some packages could not be installed. This may mean that you have ...
5
votes
1answer
4k views

Does Raspbian mirror has a problem updating or is something wrong with bzip2 apt-get method

I get this error while running sudo apt-get update Hit http://mirrordirector.raspbian.org wheezy InRelease Hit http://archive.raspberrypi.org wheezy InRelease Hit http://archive.raspberrypi.org ...
4
votes
2answers
4k views

Why APT can't locate GNURADIO package even though it apparently exists in repository?

I have been trying to install the GNURADIO package that is listed on the raspbian mirror: http://archive.raspbian.org/raspbian/pool/main/g/gnuradio/ I've added the repo to my sources.list as below: ...
3
votes
2answers
3k views

Difference between Raspbian repositories

When installing raspian via NOOBS the following repository can be found in /etc/apt/sources.list: deb http://raspbian.raspberrypi.org/raspbian/ stretch main contrib non-free rpi But there are a lot ...
3
votes
4answers
8k views

How to solve “Encountered a section with no Package: header” error?

I am running a bunch of class Raspberry Pi computers behind a school proxy. I'm using Raspbian off a very recent NOOBS image. The internet connection is supplied through the school WiFi and after ...
3
votes
4answers
4k views

Unable to install mysql

I am trying to install mysql on my pi. I've installed mysql server successfully, but get the following error when I try to run $ sudo apt-get install php5-mysql Some packages could not be ...
2
votes
2answers
2k views

Keyboard and mouse stopped responding in GUI after apt-get upgrade

We have a Raspberry Pi 2 Model B using Raspbian installed from/on NOOBS card. The GUI desktop was fully functional for several days. While trying to get Python picamera module to work, decided to do:...
2
votes
1answer
258 views

sudo apt-get update error

I am getting following errors repeatedly upon using apt-get update command : Ign http://mirrordirector.raspbian.org jessie InRelease Err http://mirrordirector.raspbian.org jessie Release.gpg ...
2
votes
1answer
2k views

Failed to fetch https://dev2day.de/pms/dists/jessie/main/binary-armhf/Packages HttpError404

I'm trying to do a simple sudo apt-get update on my Raspberry Pi 2, but I keep getting 404 error: W: Failed to fetch https://dev2day.de/pms/dists/jessie/main/binary-armhf/Packages HttpError404 ...
2
votes
1answer
2k views

How do I install the piFace Control & Display

I bought one of these (PiFace Control & Display) and according to the online instructions here, it says to run: apt-get install python3-pifacecad but when I do that I get: Reading package lists....
1
vote
1answer
2k views

Apt-Get Update security failure

I'm running a 3B+ with Raspbian Stretch 11/18 update. sudo apt-get update is returning this: W: GPG error: http://deb.debian.org/debian stretch-updates InRelease: The following signatures couldn't be ...
1
vote
1answer
7k views

What to do when apt-get -f install fails?

sudo apt-get update hangs and suggests running sudo apt-get -f install, but that fails on a duplicate declaration. How can I fix this? The following NEW packages will be installed: libfont-afm-perl ...
1
vote
1answer
11k views

Stretch apt-get update error: 'http://archive.raspberrypi.org/debian stretch Release' does no longer have a Release file

Cannot do first update for a straight from raspberrypi.org download of 2017-09-07-raspian-stretch image due to errors: pi@RWPi:~ $ sudo apt-get update Ign:1 http://mirrordirector.raspbian.org/...
1
vote
0answers
1k views

Unable to run upgrade on Raspbian

I'm running Raspbian inside QEMU, and I'm getting an error when I try to run sudo apt-get upgrade: dpkg: error: fgets gave an empty string from `/var/lib/dpkg/triggers/File' Google finds almost no ...
1
vote
1answer
2k views

Raspberry Pi 3 with Ubuntu 16.04.3 LTS sudo apt-get update exits with dpkg error code (1)

I'm running a Raspberry Pi 3 with Ubuntu 16.04.3 LTS xenial. sudo apt-get update exits with: dpkg: error processing archive /var/cache/apt/archives/linux-firmware_1.157.11_all.deb (--unpack): trying ...
1
vote
2answers
5k views

Why does apt-get upgrade cause blank screen after reboot on Raspbian?

I have Raspberry 2 B, installed the Raspbian image . Everything was good. However, when I ran sudo apt-get upgrade it took about 50minues, and after reboot, i have blank screen with blinking ...
0
votes
2answers
157 views

'sudo dpkg --configure -a' crashing Pi 4

Trying various ways to install Docker on Buster I have now run into this. I get the message that E: dpkg was interrupted and to run the sudo dpkg --configure -a command. When I do I get this: ...
0
votes
1answer
301 views

how to install libdb4.8 on jessie?

since jessie has libdb5.3 which is incompatible with libdb4.8 how to install the latter. I added oldstable main contrib ... to the mirrordirector but no chance in finding it. Where are the old ...
0
votes
1answer
1k views

bash can't find Rails in GUI

I am trying to get Ruby on Rails set up on my laptop. I ran through the guide here: http://elinux.org/RPi_Ruby_on_Rails Everything seemed fine, but when I went to run a Rails server while using ...
0
votes
1answer
5k views

apt-get “cannot locate the package”

I was following a tutorial online so I can install a USB DisplayLink monitor, and it told me to type: sudo apt-get install git-core gcc-4.6-arm-linux-gnueabi I tried that, and it says it "cannot ...
0
votes
1answer
65 views

Internet needed for apt-get?

i try to calibrate my touchscreen for Raspberry Pi 2B, currently the touch does not work (axis seems like inverted). So i came across this website: https://www.waveshare.com/w/upload/1/1e/...
0
votes
2answers
2k views

Pre-built OpenCV on Raspbian Buster

The hassle of installing OpenCV on Raspbian is something many want to avoid, and the easiest way to do this is to use a prebuilt image. I decided to take this route, only to find most pre-built images ...